Page MenuHomePhabricator

Hard deprecate BaseTemplate:renderAfterPortlet method
Closed, ResolvedPublic2 Estimated Story Points

Description

BaseTemplate:renderAfterPortlet has only one known caller - Metrolook and was deprecated in 1.35. It will be removed in 1.37. Removing it will make our skin code easier to parse. BaseTemplate::getAfterPortlet duplicates functionality in Skin::getAfterPortlet so that should also be hard deprecated.

https://codesearch.wmcloud.org/skins/?q=renderAfterPortlet&i=nope&files=&excludeFiles=&repos=

TODO

Event Timeline

Jdlrobson updated the task description. (Show Details)
Jdlrobson added a subscriber: ovasileva.

Change 699249 had a related patch set uploaded (by Bernard Wang; author: Bernard Wang):

[mediawiki/core@master] Remove BaseTemplate::getAfterPortlet

https://gerrit.wikimedia.org/r/699249

bwang removed bwang as the assignee of this task.Jun 10 2021, 4:51 PM
bwang added a subscriber: bwang.

@Jdlrobson Should we also hard deprecate getAfterPortlet? The release notes deprecate both getAfterPortlet and renderAfterPortlet together in 1.35:

"BaseTemplate::getAfterPortlet and ::renderAfterPortlet have been deprecated in favor of the Skin::getAfterPortlet method"

This is the codesearch for "renderAfterPortlet"

Ideally yes, but make sure to update Monobook and Timeless to use ->getSkin() first before doing that one since they are deployed and we don't want to send warning messages for production code! https://codesearch.wmcloud.org/deployed/?q=getAfterPortlet&i=nope&files=&excludeFiles=&repos=

Jdlrobson renamed this task from Remove BaseTemplate:renderAfterPortlet method to Hard deprecate BaseTemplate:renderAfterPortlet method.Jun 11 2021, 3:38 PM
Jdlrobson updated the task description. (Show Details)
Jdlrobson added projects: Timeless, MonoBook.
Jdlrobson updated the task description. (Show Details)
Jdlrobson removed a project: Patch-For-Review.
Jdlrobson updated the task description. (Show Details)
bwang removed bwang as the assignee of this task.Jun 14 2021, 2:27 PM

Change 699249 merged by jenkins-bot:

[mediawiki/core@master] Hard deprecations of portlet methods and hooks

https://gerrit.wikimedia.org/r/699249

Jdlrobson added a subscriber: Edtadros.

This can skip QA as it has no impact on production code.

Jdlrobson updated the task description. (Show Details)

Two of the Acceptance criteria have not been completed.

Change 700929 had a related patch set uploaded (by Bernard Wang; author: Bernard Wang):

[mediawiki/skins/Vector@master] Remove reference to BaseTemplateAfterPortlet

https://gerrit.wikimedia.org/r/700929

Change 700934 had a related patch set uploaded (by Bernard Wang; author: Bernard Wang):

[mediawiki/skins/Metrolook@master] Replace deprecated BaseTemplate::renderAfterPortlet with Skin::getAfterPortlet

https://gerrit.wikimedia.org/r/700934

Jdlrobson claimed this task.
Jdlrobson updated the task description. (Show Details)

Change 700929 merged by jenkins-bot:

[mediawiki/skins/Vector@master] Remove reference to BaseTemplateAfterPortlet

https://gerrit.wikimedia.org/r/700929

@Jdlrobson I think this task isnt done yet, as this patch hasnt been merged yet
https://gerrit.wikimedia.org/r/c/mediawiki/skins/Metrolook/+/700934

Change 700934 merged by jenkins-bot:

[mediawiki/skins/Metrolook@master] Replace deprecated BaseTemplate::renderAfterPortlet with Skin::getAfterPortlet

https://gerrit.wikimedia.org/r/700934